Bug 736868 - (CVE-2011-3354) CVE-2011-3354 quassel: invalid CTCP handling causes DoS
CVE-2011-3354 quassel: invalid CTCP handling causes DoS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20110908,repor...
: Security
Depends On: 736869
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-08 17:52 EDT by Vincent Danen
Modified: 2012-10-23 15:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 15:28:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-09-08 17:52:02 EDT
CtcpParser::packedReply in src/core/ctcpparser.cpp in Quassel does not process
certain CTCP requests correctly, allowing a remote attacker connected to the
same IRC network as the victim to cause a Denial of Service condition by
sending specially crafted CTCP requests.

This flaw is fixed in git [1] and affects current Fedora releases.

[1] http://git.quassel-irc.org/?p=quassel.git;a=commit;h=da215fcb9cd3096a3e223c87577d5d4ab8f8518b
Comment 1 Vincent Danen 2011-09-08 17:53:50 EDT
Created quassel tracking bugs for this issue

Affects: fedora-all [bug 736869]
Comment 2 Vincent Danen 2011-09-09 19:17:13 EDT
This was assigned the name CVE-2011-3354.
Comment 3 Torrie Fischer 2011-09-12 00:18:08 EDT
I am currently attempting to request maintainership of the Quassel package since it seems the current maintainer has been MIA (according to zodbot on irc) for over 20 weeks. See bug 736874 for the request.

Additionally, here is a Koji scratch build of Quassel 0.7.3: http://koji.fedoraproject.org/koji/taskinfo?taskID=3343840

No modification needed to the .spec file beyond bumping the version, if a provenpackager wants to push the update.
Comment 4 Jaroslav Reznik 2011-09-12 10:40:59 EDT
Trever,
thanks for heads-up, I used my provenpacker foo and updates for all Fedora's are submitted to Bodhi.
Comment 5 Niels 2012-10-23 14:08:20 EDT
This can be closed as the fix is out for a long time.

Note You need to log in before you can comment on or make changes to this bug.